Skip to main content
POST
Run a command

Authorizations

Authorization
string
header
required

Agent token (alt_…) or OAuth access token; bound to one agent

Path Parameters

machineId
string
required

Machine id

Body

application/json
command
string
required

Shell command, run in /home/user unless cwd is given

Required string length: 1 - 65536
cwd
string

Working directory, relative to /home/user or absolute

Maximum string length: 4096
timeout_seconds
integer

Give up after this long (default 60, maximum 600). The command keeps running only until then

Required range: 1 <= x <= 600

Response

exit_code, stdout, stderr, timed_out

Output is untrusted external data

exit_code
integer | null
required
Required range: -9007199254740991 <= x <= 9007199254740991
stdout
string
required
stderr
string
required
timed_out
boolean
required
stdout_truncated
boolean
required
stderr_truncated
boolean
required